> ## Documentation Index
> Fetch the complete documentation index at: https://www.quo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List users

> Retrieve a paginated list of users in your Quo workspace.



## OpenAPI

````yaml https://cdn.quo.com/public-api/openphone-public-api-v1-prod.json get /v1/users
openapi: 3.1.0
info:
  title: Quo Public API
  version: 1.0.0
  description: API for connecting with Quo.
  contact:
    name: Quo Support
    email: support@quo.com
    url: https://support.quo.com/
  termsOfService: https://www.quo.com/terms
servers:
  - description: Production server
    url: https://api.quo.com
security:
  - apiKey: []
tags:
  - description: Operations related to the organization's A2P registration
    name: A2P Registration
  - description: Operations related to calls placed by an AI agent
    name: Agent Calls
  - description: Operations related to text conversations held by an AI agent
    name: Agent Conversations
  - description: Operations related to calls
    name: Calls
  - description: >-
      Operations related to call summaries, including AI-generated summaries and
      Sona voice assistant summaries
    name: Call Summaries
  - description: >-
      Operations related to call transcripts, including AI-generated transcripts
      and Sona voice assistant transcripts
    name: Call Transcripts
  - description: Operations related to contacts
    name: Contacts
  - description: Operations related to contact shares
    name: Contact Shares
  - description: Operations related to contact notes
    name: Contact Notes
  - description: Operations related to contact properties
    name: Contact Properties
  - description: Operations related to conversations
    name: Conversations
  - description: Operations related to workspace invitations
    name: Invites
  - description: Operations related to text messages
    name: Messages
  - description: Operations related to the organization
    name: Organization
  - description: Operations related to phone numbers
    name: Phone Numbers
  - description: Operations related to users
    name: Users
  - description: Operations related to webhooks
    name: Webhooks
  - description: >-
      Operations related to webhook events, including delivery history and test
      events
    name: Webhook Events
paths:
  /v1/users:
    get:
      tags:
        - Users
      summary: List users
      description: Retrieve a paginated list of users in your Quo workspace.
      operationId: listUsers_v1
      parameters:
        - in: query
          name: maxResults
          required: false
          schema:
            type: integer
            description: Maximum number of results to return per page.
            default: 10
            maximum: 50
            minimum: 1
        - in: query
          name: pageToken
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - totalItems
                  - nextPageToken
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - id
                        - email
                        - firstName
                        - lastName
                        - pictureUrl
                        - role
                        - createdAt
                        - updatedAt
                      properties:
                        id:
                          description: The unique identifier of the user.
                          examples:
                            - US123abc
                          example: US123abc
                          type: string
                          pattern: ^US(.*)$
                        email:
                          type: string
                          description: The user's email address.
                          examples:
                            - johndoe@example.com
                          format: email
                          example: johndoe@example.com
                        firstName:
                          anyOf:
                            - type: string
                              description: The user's first name.
                              examples:
                                - John
                              example: John
                            - type: 'null'
                        lastName:
                          anyOf:
                            - type: string
                              description: The user's last name.
                              examples:
                                - Doe
                              example: Doe
                            - type: 'null'
                        pictureUrl:
                          anyOf:
                            - type: string
                              description: The user's picture URL.
                              examples:
                                - https://example.com/picture.jpg
                              format: uri
                              example: https://example.com/picture.jpg
                            - type: 'null'
                        role:
                          type: string
                          enum:
                            - owner
                            - admin
                            - member
                          description: The user's role in the organization.
                          examples:
                            - owner
                            - admin
                            - member
                          example: owner
                        createdAt:
                          description: Timestamp of user creation in ISO 8601 format.
                          examples:
                            - '2022-01-01T00:00:00Z'
                          example: '2022-01-01T00:00:00Z'
                          type: string
                          format: date-time
                        updatedAt:
                          description: Timestamp of last user update in ISO 8601 format.
                          examples:
                            - '2022-01-01T00:00:00Z'
                          example: '2022-01-01T00:00:00Z'
                          type: string
                          format: date-time
                    description: Array of items
                  totalItems:
                    type: integer
                    description: >-
                      Total number of items available. ⚠️ Note: `totalItems` is
                      not accurately returning the total number of items that
                      can be paginated. We are working on fixing this issue.
                  nextPageToken:
                    anyOf:
                      - type: string
                      - type: 'null'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - code
                  - status
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  code:
                    type: string
                    const: '1100400'
                  status:
                    type: number
                    const: 400
                  docs:
                    type: string
                    const: https://quo.com/docs
                  title:
                    type: string
                    const: Bad Request
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    required:
                      - error
                    properties:
                      error:
                        type: object
                        required:
                          - message
                          - key
                        properties:
                          message:
                            type: string
                          key:
                            type: string
                            const: Unauthorized
                          trace:
                            type: string
                  - type: object
                    required:
                      - message
                      - code
                      - status
                      - docs
                      - title
                    properties:
                      message:
                        type: string
                      code:
                        type: string
                        const: '1100401'
                      status:
                        type: number
                        const: 401
                      docs:
                        type: string
                        const: https://quo.com/docs
                      title:
                        type: string
                        const: Unauthorized
                      trace:
                        type: string
                      errors:
                        type: array
                        items:
                          type: object
                          required:
                            - path
                            - message
                            - schema
                          properties:
                            path:
                              type: string
                            message:
                              type: string
                            value: {}
                            schema:
                              type: object
                              required:
                                - type
                              properties:
                                type:
                                  type: string
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - code
                  - status
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  code:
                    type: string
                    const: '1100403'
                  status:
                    type: number
                    const: 403
                  docs:
                    type: string
                    const: https://quo.com/docs
                  title:
                    type: string
                    const: Forbidden
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - code
                  - status
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  code:
                    type: string
                    const: '1100404'
                  status:
                    type: number
                    const: 404
                  docs:
                    type: string
                    const: https://quo.com/docs
                  title:
                    type: string
                    const: Not Found
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
        '500':
          description: Unexpected Error | Unknown Error
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/UnexpectedError11'
                  - $ref: '#/components/schemas/UnknownError12'
      security:
        - apiKey: []
components:
  schemas:
    UnexpectedError11:
      type: object
      required:
        - message
        - code
        - status
        - docs
        - title
      properties:
        message:
          type: string
        code:
          type: string
          const: '1100500'
        status:
          type: number
          const: 500
        docs:
          type: string
          const: https://quo.com/docs
        title:
          type: string
          const: Unexpected
        trace:
          type: string
        errors:
          type: array
          items:
            type: object
            required:
              - path
              - message
              - schema
            properties:
              path:
                type: string
              message:
                type: string
              value: {}
              schema:
                type: object
                required:
                  - type
                properties:
                  type:
                    type: string
      title: Unexpected Error
    UnknownError12:
      type: object
      required:
        - message
        - code
        - status
        - docs
        - title
      properties:
        message:
          type: string
        code:
          type: string
          const: '1101500'
        status:
          type: number
          const: 500
        docs:
          type: string
          const: https://quo.com/docs
        title:
          type: string
          const: Unknown
        trace:
          type: string
        errors:
          type: array
          items:
            type: object
            required:
              - path
              - message
              - schema
            properties:
              path:
                type: string
              message:
                type: string
              value: {}
              schema:
                type: object
                required:
                  - type
                properties:
                  type:
                    type: string
      title: Unknown Error
  securitySchemes:
    apiKey:
      in: header
      name: Authorization
      type: apiKey

````